none
Questions about .NET framework 3.5 setup RRS feed

  • Question


  • Hi, folks!!

    I've just downloaded .NET framework 3.5 from http://www.microsoft.com/downloads/details.aspx?FamilyId=333325FD-AE52-4E35-B531-508D977D32A6&displaylang=en

    and I've installed it on my system (Xp SP2)...this operation was successful but I've some questions:

    -  Have I chosen the right download about .NET 3.5?

    -  Before launching .NET 3.5 installer, I've disinstalled .NET 1.1 (come from Windows Update) and its hotfix
    KB928366 ...have I been wrong? will .NET fw and my system run correctly ?

    Thanks!!
    Saturday, March 1, 2008 10:31 AM

Answers

  • No you don't need to install 2.0/3.0 again (actually setup won't let you to install 2.0/3.0 with 3.5 installed)

    But you can install .NET 1.1 if you want, .NET 1.1 just work side by side.

     

    Thanks

    Monday, March 3, 2008 10:20 AM

All replies

  • The link is the right one (if we regard RTM release as the right definition)

    And for the second question, you don't have to uninstall the .NET 1.1, because .NET 1.1 will coexist with .NET 2.0/3.0/3.5.

    Back ground knowledge: .NET 1.1 has its v1.1 runtime while .NET 2.0/3.0/3.5 uses v2.0 runtime, so they just work side by side.

     

    Some .NET 1.1 application can run well with v2.0, while some cannot, they need to be tested by developers, we clients should be informed from README document of specific .NET application/software.

     

    I think this should answer your questions.

     

    Thanks

    Monday, March 3, 2008 4:05 AM
  •  

    Thank you!!

     

    And if I wanted full version of .NET 3.5, where could I find it to download?

     

    Does full version of 3.5 include full version of 2.0 and 3.0?

    Monday, March 3, 2008 9:32 AM
  • The full package of .NET 3.5 (you can find from the link above) includes .NET 2.0 sp1 and 3.0 sp1, but not 2.0 or 3.0 RTM, since .NET 2.0 sp1 and 3.0 sp1 are prerequisites of .NET Framework 3.5 installation (so .NET 3.5 setup can run and get things installed, even if your machine has never any version of .NET Framework installed before)

     

    Thanks

    Monday, March 3, 2008 9:51 AM
  •  

    So I've installed the full version of .NET framework 3.5 but not the same for 2.0 and 3.0 ones...

     

    in your opinion, Do I have to install full version of 2.0 and 3.0 (and 1.1 for "rebel" applications), too?

     

    I need help for a complete, not redundant and not troublesome .NET machine (with references to download links).

    Monday, March 3, 2008 10:11 AM
  • No you don't need to install 2.0/3.0 again (actually setup won't let you to install 2.0/3.0 with 3.5 installed)

    But you can install .NET 1.1 if you want, .NET 1.1 just work side by side.

     

    Thanks

    Monday, March 3, 2008 10:20 AM